EXP(3M)

NAME
exp, log, log10, pow, sqrt - exponential, logarithm, power, square root

SYNOPSIS
#include <math.h>

double exp(x)
double x;

double log(x)
double x;

double log10(x)
double x;

double pow(x, y)
double x, y;

double sqrt(x)
double x;

DESCRIPTION
Exp returns the exponential function of x.

Log returns the natural logarithm of x; log10 returns the base 10 logarithm.

Pow returns x**y.

Sqrt returns the square root of x.

SEE ALSO
hypot(3M), sinh(3M), intro(3M)

DIAGNOSTICS
Exp and pow return a huge value when the correct value would overflow; errno is set to ERANGE. Pow returns 0 and sets errno to EDOM when the first argument is negative and the second is non-integral or when first argument is 0 and the second is less than or equal to 0.

Log returns 0 when x is zero or negative; errno is set to EDOM.

Sqrt returns 0 when x is negative; errno is set to EDOM.